Subject: RE: Not owner - bind() run time error.
From: [email-masked] (Sergey Okhapkin)

12 Mar 1997 14:20:58 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC2F3A.2D21A6C0.cygnus.gnu-win32@sos>
Original-To: "[email-masked]" <[email-masked]>,
        "'Gideon Shemesh'"
	 <[email-masked]>
Encoding: 12 TEXT
Original-Sender: [email-masked]

Gideon Shemesh wrote:
>  I have written a small program with sockets. (#include <sys/socket.h>)
>  Its compiles and at run time  bind() returns -1, 
>  errno is 1 (EPERM: Not super user)
>  I'm using the latest release of cygwin32, NT 4.0 (intel).

You have no administrator permissions and you are trying to bind to port number less than 1024. Am I right?

-- 
Sergey Okhapkin
Moscow, Russia
Looking for a job

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".